﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text.Json;
using System.Text.Json.Serialization;
using System.Threading.Tasks;

namespace SwaggerStudy
{
    public static class SystemTextJsonOption
    {
        public static JsonSerializerOptions DefaultJsonSerializerOptions
        {
            get {

                var jsonOptions = new JsonSerializerOptions();
                jsonOptions.WriteIndented = true;
                jsonOptions.AllowTrailingCommas = true;
                jsonOptions.Converters.Add(new DatetimeJsonConverter());
                jsonOptions.Encoder = System.Text.Encodings.Web.JavaScriptEncoder.Create(System.Text.Unicode.UnicodeRanges.All);

                return jsonOptions;
            }
        }
    }
}
